import { useLokaliseTranslation } from 'src/utils/i18n';

import { SessionSelectionCards } from './SessionSelectionCards';

const SessionNotifications = () => {
  const { t } = useLokaliseTranslation('learning');

  const options = [
    {
      value: true,
      label: t('common.notifications'),
      description: t('session.notification.push'),
    },
    {
      value: false,
      label: t('general:notification.none'),
      description: t('session.notification.none'),
    },
  ];

  return (
    <SessionSelectionCards
      title={t('general:notifications')}
      options={options}
      name="configuration.sendNotification"
    />
  );
};

export default SessionNotifications;
